﻿Public Class Form1
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        CbMetodo.SelectedItem = "Modem"
        Twilio.TwilioClient.Init("SID", "TOKEN")
    End Sub

    Private Sub BtEnviar_Click(sender As Object, e As EventArgs) Handles BtEnviar.Click
        Try
            Select Case CbMetodo.SelectedItem.ToString()
                Case "Modem"
                    EnviarModem()
                    Exit Select
                Case "Twilio"
                    EnviarTwilio()
                    Exit Select
                Case "Ipipi"
                    EnviarIpipi()
                    Exit Select
                Case "ViaNett"
                    EnviarViaNett()
                    Exit Select
                Case "LocaSMS"
                    EnviarLocaSMS()
                    Exit Select
            End Select
        Catch Ex As Exception
            MessageBox.Show(Ex.Message, "Erro", MessageBoxButtons.OK, MessageBoxIcon.[Error])
        End Try
    End Sub

    Private Sub EnviarModem()
        Using Port = New System.IO.Ports.SerialPort()
            Port.PortName = "COM5"
            Port.Open()
            Port.DtrEnable = True
            Port.RtsEnable = True
            Port.Write("AT" & vbCr) ' iniciando a comunicação
            Port.Write("AT+CMGF=1" & vbCr) ' setando a comunicação para o modo texto
            Port.Write(String.Format("AT+CMGS=""{0}""" & vbCr, TbTelefone.Text)) ' setando o número do destinatário
            Port.Write(TbMensagem.Text + Char.ConvertFromUtf32(26)) ' enviando a mensagem
        End Using
    End Sub

    Private Sub EnviarTwilio()
        Dim Resultado = Twilio.Rest.Api.V2010.Account.MessageResource.Create(
            [to]:=New Twilio.Types.PhoneNumber(TbTelefone.Text),
            from:=New Twilio.Types.PhoneNumber("SEU_NUMERO_TWILIO"),
            body:=TbMensagem.Text)
    End Sub

    Private Sub EnviarIpipi()
        Using IpipiAuthClient = New IpipiAuth.AuthenticationSoapClient("AuthenticationSoap")
            Using IpipiClient = New Ipipi.SMSSoapClient("SMSSoap")
                Dim AuthInfo = IpipiAuthClient.GetParameters("user", "pwd")
                Dim Resultado = IpipiClient.Send_Plain(AuthInfo.Token, AuthInfo.Signature, TbTelefone.Text, TbMensagem.Text, Ipipi.SmsEncoding.Seven)
            End Using
        End Using
    End Sub

    Private Sub EnviarViaNett()
        Using ViaNettClient = New ViaNett.CPAWebServiceSoapClient("CPAWebServiceSoap12")
            Dim Resultado = ViaNettClient.SendSMS_Simple1("USER", "PWD", Convert.ToInt64(TbTelefone.Text.Replace("+", String.Empty)), TbMensagem.Text)
        End Using
    End Sub

    Private Sub EnviarLocaSMS()
        Using locasms = New LocaSMS.ServiceSMSSoapClient()
            Dim resultado = locasms.SendSMS(
                "USER", "PWD",
                New LocaSMS.rSMS() With
                {
                    .Destinations =
                    {
                        New LocaSMS.Destination() With
                        {
                            .Number = TbTelefone.Text
                        }
                    },
                    .Msg = TbMensagem.Text
                })
        End Using
    End Sub

End Class
